<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- 
@author: fredy.wilches
@modifiedBy: fabio.navarrete
Formulario que permite realizar el ingreso de los valores asociados al solicitante
Parámetros Posibles:
    -managedBeanParam: Managed bean que se está usando para obtener los datos pertinentes.
        Funciones necesarias:
        ->guardarSolicitanteSolicitud: Método encargado de almacenar la variable que contiene
        los datos vinculados al solicitante de la solicitud.
        ->guardarSolicitanteTramite: Método encargado de almacenar la variable que contiene
        los datos vinculados al solicitante del trámite.
    -solicitanteParam: variable que contiene los datos del Solicitante.
    -isTramiteParam: Indica si se está manejando un trámite, si es false se asume que 
        se está manejando el solicitante de una Solicitud
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1"
             id="adicionarAfectadoPanelGrid">


    <h:form id="adicionarAfectadoForm" onkeypress="return event.keyCode != 13;" >
        <p:messages id="afectadoMsgs" showDetail="false" />

        <p:panel header="Adicionar afectado">
            <ui:include src="../../tramite/radicacion/datosSolicitante.xhtml">
                <ui:param name="solicitanteParam"
                          value="#{envioComunicacionAutoPruebas.afectado}" />
                <ui:param name="managedBeanParam" value="#{envioComunicacionAutoPruebas}" />
                <ui:param name="isAdicionAfectado" value="true"/>
                <ui:param name="mostrarRelacionesParam" value="false"/>
                <ui:param name="updateDatosIdentificacion" value="afectadoMsgs"/>
                <ui:param name="banderaBusquedaRealizadaParam"
                          value="#{envioComunicacionAutoPruebas.banderaBusquedaSolicitanteRealizada}" />
                <ui:param name="containerCUpdateParam"
                          value="adicionarAfectadoForm" />
                <ui:param name="selectedSolicitudParam"
                          value="#{selectedSolicitudParam}" />
                <ui:param name="estaEnRadicacion" value="false" />
            </ui:include>
        </p:panel>

        <p:spacer width="0" height="10" />

        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton 
                value="Guardar y adjuntar"
                icon="ui-icon ui-icon-disk"
                update=":enviarComunicacionAutoPruebasForm:afectadosDataTable, afectadoMsgs, adicionarAfectadoForm"
                action="#{envioComunicacionAutoPruebas.guardarAfectado}"				
                oncomplete="handleCompleteSIC(xhr, status, args, adicionarAfectadoWV, false)">
            </p:commandButton>
        </p:outputPanel>
    </h:form>

</h:panelGrid>